with GNATCOM.Dispinterface;

package MSHTML.IHTMLDialog_Interface is

   type IHTMLDialog_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLDialog_Type);

   function Pointer (This : IHTMLDialog_Type)
     return Pointer_To_IHTMLDialog;

   procedure Attach (This    : in out IHTMLDialog_Type;
                     Pointer : in     Pointer_To_IHTMLDialog);

   procedure Put_dialogTop
     (This : IHTMLDialog_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_dialogTop
     (This : IHTMLDialog_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_dialogLeft
     (This : IHTMLDialog_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_dialogLeft
     (This : IHTMLDialog_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_dialogWidth
     (This : IHTMLDialog_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_dialogWidth
     (This : IHTMLDialog_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_dialogHeight
     (This : IHTMLDialog_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_dialogHeight
     (This : IHTMLDialog_Type)
     return GNATCOM.Types.VARIANT;

   function Get_dialogArguments
     (This : IHTMLDialog_Type)
     return GNATCOM.Types.VARIANT;

   function Get_menuArguments
     (This : IHTMLDialog_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_returnValue
     (This : IHTMLDialog_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_returnValue
     (This : IHTMLDialog_Type)
     return GNATCOM.Types.VARIANT;

   procedure close
     (This : IHTMLDialog_Type);

   function toString
     (This   : IHTMLDialog_Type)
     return GNATCOM.Types.BSTR;

end MSHTML.IHTMLDialog_Interface;

